import { Component, OnDestroy, OnInit } from "@angular/core";
import { invoke } from "@tauri-apps/api/tauri";
import { ShortcutService } from "./services/shortcut.service";
import { EventsService } from "./services/events.service";
import { WorldAreaService } from "./services/world-area.service";
import { Color } from "./color-picker/color-picker.component";
import { OverlayService } from "./services/overlay.service";

@Component({
  selector: "app-root",
  templateUrl: "./app.component.html",
  styleUrls: ["./app.component.scss"],
})
export class AppComponent implements OnInit {
  auto_hide: boolean = true;
  interactable: boolean = false;
  isBinding: boolean = false;
  planColor?: Color;

  constructor(
    private overlayService: OverlayService,
    public worldAreas: WorldAreaService,
    private shortcuts: ShortcutService,
    private events: EventsService
  ) { }


  ngOnInit(): void {

  }


}