import { Injectable } from '@angular/core';
import init, { Fuzzr } from 'fuzzr/pkg';
import { WorldArea } from '../models/world-area';
import { invoke } from '@tauri-apps/api';
import { from } from 'rxjs';


@Injectable({
  providedIn: 'root'
})
export class WorldAreaService {

  world_areas?: Map<string, WorldArea>;
  matcher?: Fuzzr;

  constructor() {
    from(invoke<Map<string, WorldArea>>('load_world_areas')).subscribe((data) => {
      this.world_areas = new Map(Object.entries(data));
      from(init("/fuzzr/pkg/fuzzr_bg.wasm")).subscribe(() => {
        this.matcher = new Fuzzr(this.world_areas);
      });
    });

  }
}
